Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.stmt
[Java] Class SynchronizedStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.SynchronizedStatement

    public class SynchronizedStatement
    extends Statement

Represents a synchronized statement

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`SynchronizedStatement(Expression expression, Statement code)`

Method Summary
`Statement` | `getCode()`
`Expression` | `getExpression()`
`void` | `setCode(Statement statement)`
`void` | `setExpression(Expression expression)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SynchronizedStatement

    public SynchronizedStatement(Expression expression, Statement code)

Method Detail

### getCode

    public Statement getCode()

### getExpression

    public Expression getExpression()

### setCode

    public void setCode(Statement statement)

### setExpression

    public void setExpression(Expression expression)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation